Bug 223222 - [PATCH] dns/dnscrypt-proxy: replace 'cisco' (OpenDNS) resolver by 'random'
Summary: [PATCH] dns/dnscrypt-proxy: replace 'cisco' (OpenDNS) resolver by 'random'
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL: https://reviews.freebsd.org/D12775
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-10-24 14:20 UTC by Vinícius Zavam
Modified: 2017-12-23 14:20 UTC (History)
2 users (show)

See Also:


Attachments
[PATCH] dns/dnscrypt-proxy: replace 'cisco' resolver by 'random' (r452768) (5.21 KB, patch)
2017-10-24 14:20 UTC, Vinícius Zavam
no flags Details | Diff
[PATCH] dns/dnscrypt-proxy: replace 'cisco' resolver by 'random' (r452768) (7.48 KB, patch)
2017-10-24 14:27 UTC, Vinícius Zavam
no flags Details | Diff
update dnscrypt-proxy (6.11 KB, patch)
2017-10-30 13:09 UTC, Leo Vandewoestijne
freebsd: maintainer-approval-
Details | Diff
[PATCH] dns/dnscrypt-proxy: replace 'cisco' resolver by 'random' (r452768) (13.07 KB, patch)
2017-11-06 14:01 UTC, Vinícius Zavam
no flags Details | Diff
update dnscrypt-proxy and msg (11.57 KB, patch)
2017-11-06 15:28 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff
[PATCH] dns/dnscrypt-proxy: replace 'cisco' resolver by 'random' (r452768) (14.29 KB, patch)
2017-11-08 14:46 UTC, Vinícius Zavam
egypcio: maintainer-approval+
Details | Diff
[PATCH] dns/dnscrypt-proxy: replace 'cisco' resolver by 'random' (r452768) (531.85 KB, patch)
2017-11-13 11:47 UTC, Vinícius Zavam
egypcio: maintainer-approval? (freebsd)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vinícius Zavam freebsd_committer 2017-10-24 14:20:30 UTC
Created attachment 187435 [details]
[PATCH] dns/dnscrypt-proxy: replace 'cisco' resolver by 'random' (r452768)

replace the default resolver used by dnscrypt-proxy (cisco/OpenDNS), and use a random one that does not log entries and supports dnssec.

from the man page:

    -R, --resolver-name=<name>: name of the resolver to use, from the
    list of available resolvers (see -L). Or random for a random
    resolver accessible over IPv4, that doesn't log and supports
    DNSSEC.
Comment 1 Vinícius Zavam freebsd_committer 2017-10-24 14:27:41 UTC
Created attachment 187438 [details]
[PATCH] dns/dnscrypt-proxy: replace 'cisco' resolver by 'random' (r452768)

PORTREVISION++
Comment 2 Leo Vandewoestijne 2017-10-24 17:58:15 UTC
I didn't like to speak up, but yes; alike minds...!
... as I have mixed feelings about Cisco AND the past and current administrations of the USA.

But in stead of using "random" I played with the thought of using 80.80.80.80 and 80.80.81.81 which are [a] anycasted (in surprising locations), and is [b] operated by myself (be it at an employer).
See http://80.80.80.80:80/

Let me try something that provides to set all three options (cisco, or random, or 80.80.80.80 & 80.80.81.81).
Comment 3 Vinícius Zavam freebsd_committer 2017-10-25 14:09:14 UTC
(In reply to Leo Vandewoestijne from comment #2)

why don't we use 'random' for this new version? that sounds the easiest and cleaner solution for now.

people can change dnscrypt-proxy's config to use other resolver, if they want. you also see that we already have the possibility of running a "multi instances" of it and get more than one resolver available already.

using 'random' also ensures that the chosen resolver runs only IPV4 - as lots of users do not even have IPv6 (not even over a tunnel).

sorry to express myself this way, but sounds kind sad to see this postponed. anyway, it's your decision. if you have an account to update us the review D12775, would be pretty kind (I would like to follow your changes).

tyvm for your time and concern, Leo!

kindest regards,
vinícius
Comment 4 Leo Vandewoestijne 2017-10-30 13:09:04 UTC
Created attachment 187583 [details]
update dnscrypt-proxy

(In reply to Vinícius Zavam from comment #3)

Don't worry. Attached patch is yours, plus also _multi modified.
Further also the old name "opendns" still appeared. And an accordingly updated pkg-message.


I foresee that not every individual user would embrace this change with joy, as OpenDNS clearly provides a great anycasted platform WITH distributed cache, and so performs significant faster than most others.
Those users should adjust their config.
Comment 5 Leo Vandewoestijne 2017-10-30 13:13:10 UTC
Comment on attachment 187438 [details]
[PATCH] dns/dnscrypt-proxy: replace 'cisco' resolver by 'random' (r452768)

Thanks for contributing this idea and code.
It's merged into the new patch.
Comment 6 Vinícius Zavam freebsd_committer 2017-11-06 14:01:02 UTC
Created attachment 187796 [details]
[PATCH] dns/dnscrypt-proxy: replace 'cisco' resolver by 'random' (r452768)
Comment 7 Vinícius Zavam freebsd_committer 2017-11-06 14:02:41 UTC
(In reply to Leo Vandewoestijne from comment #5)

TYVM! Very appreciated. We actually forgot to update the pkg-messages and the URL used on the pkg-descr. I wrote the updates to this new patch.

I also updated the diff available at https://reviews.freebsd.org/D12775

KR,
vinícius
Comment 8 Leo Vandewoestijne 2017-11-06 15:27:09 UTC
Comment on attachment 187796 [details]
[PATCH] dns/dnscrypt-proxy: replace 'cisco' resolver by 'random' (r452768)

Spot on. Hold on; I have some minor additions to this improvements.
Comment 9 Leo Vandewoestijne 2017-11-06 15:28:30 UTC
Created attachment 187799 [details]
update dnscrypt-proxy and msg

Ah, I see, and also noticed that improvements you made could be done in the single files to.
So attached patch includes what you addressed (plus some minor changes of me).
Comment 10 Vinícius Zavam freebsd_committer 2017-11-08 14:45:32 UTC
(In reply to Leo Vandewoestijne from comment #9)

hi,

I got some feedback from mat@, that says we should move some of the stuff related to "*_DESC" to a few lines before the options helpers - so I moved, and regenerated the patch (based on your new one).

`portlint -CA dns/dnscrypt-proxy` returns no error :)

thank you very much for all your concern, Leo! appreciated.

PS: aren't you on Phabricator? https://reviews.freebsd.org/D12775

KR,
vinícius
Comment 11 Vinícius Zavam freebsd_committer 2017-11-08 14:46:49 UTC
Created attachment 187861 [details]
[PATCH] dns/dnscrypt-proxy: replace 'cisco' resolver by 'random' (r452768)

https://reviews.freebsd.org/D12775#270030
Comment 12 Vinícius Zavam freebsd_committer 2017-11-13 11:47:35 UTC
Created attachment 187959 [details]
[PATCH] dns/dnscrypt-proxy: replace 'cisco' resolver by 'random' (r452768)

Following mat@'s and dbaio@'s recommendations, and request for changes, I:

  * added an entry to UPDATING;
  * updated MASTER_SITES following "https://marc.info/?l=openbsd-ports&m=151016589912210&w=2";
  * removed unnecessary tabulations/spaces.

backlog available on Phabricator.

KR,
Vinícius
Comment 13 Danilo G. Baio freebsd_committer 2017-11-14 10:09:23 UTC
Comment on attachment 187959 [details]
[PATCH] dns/dnscrypt-proxy: replace 'cisco' resolver by 'random' (r452768)

last approval, please.
Comment 14 commit-hook freebsd_committer 2017-12-23 14:16:30 UTC
A commit references this bug:

Author: dbaio
Date: Sat Dec 23 14:16:19 UTC 2017
New revision: 457054
URL: https://svnweb.freebsd.org/changeset/ports/457054

Log:
  dns/dnscrypt-proxy: Replace 'cisco' (OpenDNS) resolver by 'random'

  This update replaces the default resolver used by
  dnscrypt-proxy (cisco/OpenDNS) by a random one that
  does not log entries and supports dnssec.

  - Improve pkg-message's.
  - Fix MASTER_SITES.
  - Reorder Makefile variable's.
  - Update WWW.

  PR:		223222
  Submitted by:	Vin?cius Zavam <egypcio@googlemail.com>
  Reviewed by:	dbaio, garga, mat
  Approved by:	Leo Vandewoestijne <freebsd@dns-lab.com>
  		(maintainer, previous patch, then timeout)
  Differential Revision:	https://reviews.freebsd.org/D12775

Changes:
  head/UPDATING
  head/dns/dnscrypt-proxy/Makefile
  head/dns/dnscrypt-proxy/files/dnscrypt-proxy.in
  head/dns/dnscrypt-proxy/files/dnscrypt-proxy_multi.in
  head/dns/dnscrypt-proxy/files/pkg-message.in
  head/dns/dnscrypt-proxy/files/pkg-message_multi.in
  head/dns/dnscrypt-proxy/pkg-descr
Comment 15 Danilo G. Baio freebsd_committer 2017-12-23 14:20:02 UTC
Committed, thank you both.